#Query order results
#Request Path
/api/v2/payment/merchant/order/queryStatus #Parameter list
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderId | String | 32 | No | Unique Order No of the merchant, which can be used to query the order. If there is no orderId, you can send the orderNo. |
| orderNo | String | 32 | No | Unique Order No of PalmPay, which can be used to query the order. If there is no orderNo, you can send the orderId. |
#Return value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderId | String | 32 | yes | The unique Order Number of the merchant, which can be used to query transaction results. |
| orderNo | String | 32 | yes | PalmPay platform Order No. |
| merchantId | String | 32 | yes | Merchant number |
| currency | String | 10 | yes | Currency (NGN) |
| amount | Long | - | yes | Transaction amount (minimum unit measurement) |
| orderStatus | Int | 20 | yes | Order status |
| remark | String | 200 | No | Remarks |
| errorMsg | String | 200 | No | Error message |
| createdTime | Long | - | yes | order create time |
| completedTime | Long | - | No | order complate time |
| payer | String | - | No | PayerInfo (Only return to merchant in Whitelist,Please kindly ask BD to Apply if needed.) |
| productType | String | 200 | no | Actual product type when the user pays the order e.g. pay_wallet, bank_transfer, mmo |
| payerBankName | String | 200 | no | Bank name of virtual account (returned when productType is bank_transfer) |
| payerAccountName | String | 200 | no | Account name of virtual account(returned when productType is bank_transfer) |
| payerVirtualAccNo | String | 200 | no | Account no of virtual account(returned when productType is bank_transfer) |
#Error Code
#Postman example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/order/queryStatus' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime": 1662171389940,
"version": "V1.1",
"nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"orderId": "1558616686273",
"orderNo": "362019052313044587518762420"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderId": "1558616686273",
"orderNo": "242019052313044587518762420",
"merchantId": "CH1913953825",
"currency": "NGN",
"amount": 900000,
"orderStatus": 2,
"remark": "test",
"payer": {
"accountNo": "1390451991",
"accountName": "abigaile jack",
"bankCode": "000014",
"bankName": "ACCESS BANK NIGERIA"
}
}
}